Skip to main content
GET
/
api
/
v1
/
auth
/
countries
/
{id}
Get Country By ID
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/countries/{id} \
  --header 'Authorization: Bearer <token>'
{
  "country": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "display_name": "Kenya",
    "official_name": "Republic of Kenya",
    "alpha2_code": "KE",
    "alpha3_code": "KEN",
    "numeric_code": "404",
    "phone_code": "+254",
    "nationality": "Kenyan",
    "region": "Africa",
    "subregion": "Eastern Africa",
    "default_fiat_currency": "KES",
    "supports_mpesa": true,
    "supports_bank_payout": true,
    "sort_order": 123,
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

OK

country
object